Loading...
Searching...
No Matches
casacore::MSAntennaColumns Class Reference
ms package (libcasa_ms) » MeasurementSets_module

More...

`#include <MSAntennaColumns.h>`

## Public Member Functions

| MSAntennaColumns (const MSAntenna &msAntenna)
| Create a columns object that accesses the data in the specified Table.
| ~MSAntennaColumns ()
| The destructor does nothing special.
ScalarColumn< Double > & | dishDiameter ()
| Access to required columns.
ScalarQuantColumn< Double > & | dishDiameterQuant ()
ScalarColumn< Bool > & | flagRow ()
ScalarColumn< String > & | mount ()
ScalarColumn< String > & | name ()
ArrayColumn< Double > & | offset ()
ArrayQuantColumn< Double > & | offsetQuant ()
ScalarMeasColumn< MPosition > & | offsetMeas ()
ArrayColumn< Double > & | position ()
ArrayQuantColumn< Double > & | positionQuant ()
ScalarMeasColumn< MPosition > & | positionMeas ()
ScalarColumn< String > & | station ()
ScalarColumn< String > & | type ()
const ScalarColumn< Double > & | dishDiameter () const
| Const access to required columns.
const ScalarQuantColumn< Double > & | dishDiameterQuant () const
const ScalarColumn< Bool > & | flagRow () const
const ScalarColumn< String > & | mount () const
const ScalarColumn< String > & | name () const
const ArrayColumn< Double > & | offset () const
const ArrayQuantColumn< Double > & | offsetQuant () const
const ScalarMeasColumn< MPosition > & | offsetMeas () const
const ArrayColumn< Double > & | position () const
const ArrayQuantColumn< Double > & | positionQuant () const
const ScalarMeasColumn< MPosition > & | positionMeas () const
const ScalarColumn< String > & | station () const
const ScalarColumn< String > & | type () const
ArrayColumn< Double > & | meanOrbit ()
| Access to optional columns.
ScalarColumn< Int > & | orbitId ()
ScalarColumn< Int > & | phasedArrayId ()
const ArrayColumn< Double > & | meanOrbit () const
| Const access to optional columns.
const ScalarColumn< Int > & | orbitId () const
const ScalarColumn< Int > & | phasedArrayId () const
void | setPositionRef (MPosition::Types ref)
| set the position type for the POSITION column.
void | setOffsetRef (MPosition::Types ref)
| set the position type for the OFFSET column.
rownr_t | nrow () const
| Convenience function that returns the number of rows in any of the columns.
Int64 | matchAntenna (const MPosition &antennaPos, const Quantum< Double > &tolerance, Int64 tryRow=-1)
| returns the last row that contains an antenna at the specified position, to within the specified tolerance.
Int64 | matchAntenna (const String &antName, const MPosition &antennaPos, const Quantum< Double > &tolerance, Int64 tryRow=-1)
| Same as the previous function except that the antenna name must also match.
Int64 | matchAntennaAndStation (const String &antName, const String &stationName, const MPosition &antennaPos, const Quantum< Double > &tolerance, Int64 tryRow=-1)
| Same as the previous function except that the station name must also match.

## Protected Member Functions

| MSAntennaColumns ()
void | attach (const MSAntenna &msAntenna)

## Private Member Functions

| MSAntennaColumns (const MSAntennaColumns &)
MSAntennaColumns & | operator= (const MSAntennaColumns &)
void | attachOptionalCols (const MSAntenna &msAntenna)
Bool | matchName (rownr_t row, const String &antName) const
Bool | matchStation (rownr_t row, const String &stationName) const
Bool | matchPosition (rownr_t row, const Vector< Double > &antPosInM, const Double tolInM) const

## Private Attributes

ScalarColumn< Double > | dishDiameter_p
ScalarColumn< Bool > | flagRow_p
ScalarColumn< String > | mount_p
ScalarColumn< String > | name_p
ArrayColumn< Double > | offset_p
ArrayColumn< Double > | position_p
ScalarColumn< String > | station_p
ScalarColumn< String > | type_p
ArrayColumn< Double > | meanOrbit_p
ScalarColumn< Int > | orbitId_p
ScalarColumn< Int > | phasedArrayId_p
ScalarMeasColumn< MPosition > | offsetMeas_p
ScalarMeasColumn< MPosition > | positionMeas_p
ScalarQuantColumn< Double > | dishDiameterQuant_p
ArrayQuantColumn< Double > | offsetQuant_p
ArrayQuantColumn< Double > | positionQuant_p

## Detailed Description

A class to provide easy access to MSAntenna columns

### Intended use:

Public interface

### Review Status

Reviewed By:
  Bob Garwood
Date Reviewed:
  1997/02/01

### Prerequisite

- MSAntenna
- ArrayColumn
- ScalarColumn

### Etymology

MSAntennaColumns stands for MeasurementSet Antenna Table columns.

### Synopsis

This class provides access to the columns in the MSAntenna Table, it does the declaration of all the Scalar and ArrayColumns with the correct types, so the application programmer doesn't have to worry about getting those right. There is an access function for every predefined column. Access to non-predefined columns will still have to be done with explicit declarations. See MSColumns for an example.

### Motivation

See MSColumns for the motivation.

Definition at line 77 of file MSAntennaColumns.h.

## Constructor & Destructor Documentation

## MSAntennaColumns() [1/3]

casacore::MSAntennaColumns::MSAntennaColumns | ( | const MSAntenna & | msAntenna | ) |

Create a columns object that accesses the data in the specified Table.

Referenced by MSAntennaColumns(), and operator=().

## ~MSAntennaColumns()

casacore::MSAntennaColumns::~MSAntennaColumns | ( |  | ) |

The destructor does nothing special.

## MSAntennaColumns() [2/3]

casacore::MSAntennaColumns::MSAntennaColumns | ( |  | ) |

protected

## MSAntennaColumns() [3/3]

casacore::MSAntennaColumns::MSAntennaColumns | ( | const MSAntennaColumns & |  | ) |

private

References MSAntennaColumns().

## Member Function Documentation

## attach()

void casacore::MSAntennaColumns::attach | ( | const MSAntenna & | msAntenna | ) |

protected

## attachOptionalCols()

void casacore::MSAntennaColumns::attachOptionalCols | ( | const MSAntenna & | msAntenna | ) |

private

## dishDiameter() [1/2]

ScalarColumn< Double > & casacore::MSAntennaColumns::dishDiameter | ( |  | ) |

inline

Access to required columns.

Definition at line 89 of file MSAntennaColumns.h.

References dishDiameter_p.

## dishDiameter() [2/2]

const ScalarColumn< Double > & casacore::MSAntennaColumns::dishDiameter | ( |  | ) | const

inline

Const access to required columns.

Definition at line 106 of file MSAntennaColumns.h.

References dishDiameter_p.

## dishDiameterQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSAntennaColumns::dishDiameterQuant | ( |  | ) |

inline

Definition at line 90 of file MSAntennaColumns.h.

References dishDiameterQuant_p.

## dishDiameterQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSAntennaColumns::dishDiameterQuant | ( |  | ) | const

inline

Definition at line 107 of file MSAntennaColumns.h.

References dishDiameterQuant_p.

## flagRow() [1/2]

ScalarColumn< Bool > & casacore::MSAntennaColumns::flagRow | ( |  | ) |

inline

Definition at line 91 of file MSAntennaColumns.h.

References flagRow_p.

## flagRow() [2/2]

const ScalarColumn< Bool > & casacore::MSAntennaColumns::flagRow | ( |  | ) | const

inline

Definition at line 108 of file MSAntennaColumns.h.

References flagRow_p.

## matchAntenna() [1/2]

Int64 casacore::MSAntennaColumns::matchAntenna | ( | const MPosition & | antennaPos,
|  | const Quantum< Double > & | tolerance,
|  | Int64 | tryRow = -1 )

returns the last row that contains an antenna at the specified position, to within the specified tolerance.

The reference frame of the supplied position must be the same as the one for the POSITION columns. If not an AipsError is thrown as such an argument will never match any row of the Table. The tolerance is the maximum allowed distance between the two positions and the supplied Quantum must have dimensions of length. This is checked when compiled in debug mode and an AipsError exception is thrown if the dimensions are wrong. Returns -1 if no match could be found. Flagged rows can never match. If tryRow is non-negative, then that row is tested to see if it matches before any others are tested. Setting tryRow to a positive value greater than the table length will throw an exception (AipsError), when compiled in debug mode.

## matchAntenna() [2/2]

Int64 casacore::MSAntennaColumns::matchAntenna | ( | const String & | antName,
|  | const MPosition & | antennaPos,
|  | const Quantum< Double > & | tolerance,
|  | Int64 | tryRow = -1 )

Same as the previous function except that the antenna name must also match.

## matchAntennaAndStation()

Int64 casacore::MSAntennaColumns::matchAntennaAndStation | ( | const String & | antName,
|  | const String & | stationName,
|  | const MPosition & | antennaPos,
|  | const Quantum< Double > & | tolerance,
|  | Int64 | tryRow = -1 )

Same as the previous function except that the station name must also match.

## matchName()

Bool casacore::MSAntennaColumns::matchName | ( | rownr_t | row,
|  | const String & | antName ) const

private

## matchPosition()

Bool casacore::MSAntennaColumns::matchPosition | ( | rownr_t | row,
|  | const Vector< Double > & | antPosInM,
|  | const Double | tolInM ) const

private

## matchStation()

Bool casacore::MSAntennaColumns::matchStation | ( | rownr_t | row,
|  | const String & | stationName ) const

private

## meanOrbit() [1/2]

ArrayColumn< Double > & casacore::MSAntennaColumns::meanOrbit | ( |  | ) |

inline

Access to optional columns.

Definition at line 123 of file MSAntennaColumns.h.

References meanOrbit_p.

## meanOrbit() [2/2]

const ArrayColumn< Double > & casacore::MSAntennaColumns::meanOrbit | ( |  | ) | const

inline

Const access to optional columns.

Definition at line 130 of file MSAntennaColumns.h.

References meanOrbit_p.

## mount() [1/2]

ScalarColumn< String > & casacore::MSAntennaColumns::mount | ( |  | ) |

inline

Definition at line 92 of file MSAntennaColumns.h.

References mount_p.

## mount() [2/2]

const ScalarColumn< String > & casacore::MSAntennaColumns::mount | ( |  | ) | const

inline

Definition at line 109 of file MSAntennaColumns.h.

References mount_p.

## name() [1/2]

ScalarColumn< String > & casacore::MSAntennaColumns::name | ( |  | ) |

inline

Definition at line 93 of file MSAntennaColumns.h.

References name_p.

## name() [2/2]

const ScalarColumn< String > & casacore::MSAntennaColumns::name | ( |  | ) | const

inline

Definition at line 110 of file MSAntennaColumns.h.

References name_p.

## nrow()

rownr_t casacore::MSAntennaColumns::nrow | ( |  | ) | const

inline

Convenience function that returns the number of rows in any of the columns.

Definition at line 146 of file MSAntennaColumns.h.

References dishDiameter_p.

## offset() [1/2]

ArrayColumn< Double > & casacore::MSAntennaColumns::offset | ( |  | ) |

inline

Definition at line 94 of file MSAntennaColumns.h.

References offset_p.

## offset() [2/2]

const ArrayColumn< Double > & casacore::MSAntennaColumns::offset | ( |  | ) | const

inline

Definition at line 111 of file MSAntennaColumns.h.

References offset_p.

## offsetMeas() [1/2]

ScalarMeasColumn< MPosition > & casacore::MSAntennaColumns::offsetMeas | ( |  | ) |

inline

Definition at line 96 of file MSAntennaColumns.h.

References offsetMeas_p.

## offsetMeas() [2/2]

const ScalarMeasColumn< MPosition > & casacore::MSAntennaColumns::offsetMeas | ( |  | ) | const

inline

Definition at line 113 of file MSAntennaColumns.h.

References offsetMeas_p.

## offsetQuant() [1/2]

ArrayQuantColumn< Double > & casacore::MSAntennaColumns::offsetQuant | ( |  | ) |

inline

Definition at line 95 of file MSAntennaColumns.h.

References offsetQuant_p.

## offsetQuant() [2/2]

const ArrayQuantColumn< Double > & casacore::MSAntennaColumns::offsetQuant | ( |  | ) | const

inline

Definition at line 112 of file MSAntennaColumns.h.

References offsetQuant_p.

## operator=()

MSAntennaColumns & casacore::MSAntennaColumns::operator= | ( | const MSAntennaColumns & |  | ) |

private

References MSAntennaColumns().

## orbitId() [1/2]

ScalarColumn< Int > & casacore::MSAntennaColumns::orbitId | ( |  | ) |

inline

Definition at line 124 of file MSAntennaColumns.h.

References orbitId_p.

## orbitId() [2/2]

const ScalarColumn< Int > & casacore::MSAntennaColumns::orbitId | ( |  | ) | const

inline

Definition at line 131 of file MSAntennaColumns.h.

References orbitId_p.

## phasedArrayId() [1/2]

ScalarColumn< Int > & casacore::MSAntennaColumns::phasedArrayId | ( |  | ) |

inline

Definition at line 125 of file MSAntennaColumns.h.

References phasedArrayId_p.

## phasedArrayId() [2/2]

const ScalarColumn< Int > & casacore::MSAntennaColumns::phasedArrayId | ( |  | ) | const

inline

Definition at line 132 of file MSAntennaColumns.h.

References phasedArrayId_p.

## position() [1/2]

ArrayColumn< Double > & casacore::MSAntennaColumns::position | ( |  | ) |

inline

Definition at line 97 of file MSAntennaColumns.h.

References position_p.

## position() [2/2]

const ArrayColumn< Double > & casacore::MSAntennaColumns::position | ( |  | ) | const

inline

Definition at line 114 of file MSAntennaColumns.h.

References position_p.

## positionMeas() [1/2]

ScalarMeasColumn< MPosition > & casacore::MSAntennaColumns::positionMeas | ( |  | ) |

inline

Definition at line 99 of file MSAntennaColumns.h.

References positionMeas_p.

## positionMeas() [2/2]

const ScalarMeasColumn< MPosition > & casacore::MSAntennaColumns::positionMeas | ( |  | ) | const

inline

Definition at line 116 of file MSAntennaColumns.h.

References positionMeas_p.

## positionQuant() [1/2]

ArrayQuantColumn< Double > & casacore::MSAntennaColumns::positionQuant | ( |  | ) |

inline

Definition at line 98 of file MSAntennaColumns.h.

References positionQuant_p.

## positionQuant() [2/2]

const ArrayQuantColumn< Double > & casacore::MSAntennaColumns::positionQuant | ( |  | ) | const

inline

Definition at line 115 of file MSAntennaColumns.h.

References positionQuant_p.

## setOffsetRef()

void casacore::MSAntennaColumns::setOffsetRef | ( | MPosition::Types | ref | ) |

set the position type for the OFFSET column.

This can only be done when the table has no rows. Trying to do so at other times will throw an exception.

References casacore::ref().

## setPositionRef()

void casacore::MSAntennaColumns::setPositionRef | ( | MPosition::Types | ref | ) |

set the position type for the POSITION column.

This can only be done when the table has no rows. Trying to do so at other times will throw an exception.

References casacore::ref().

## station() [1/2]

ScalarColumn< String > & casacore::MSAntennaColumns::station | ( |  | ) |

inline

Definition at line 100 of file MSAntennaColumns.h.

References station_p.

## station() [2/2]

const ScalarColumn< String > & casacore::MSAntennaColumns::station | ( |  | ) | const

inline

Definition at line 117 of file MSAntennaColumns.h.

References station_p.

## type() [1/2]

ScalarColumn< String > & casacore::MSAntennaColumns::type | ( |  | ) |

inline

Definition at line 101 of file MSAntennaColumns.h.

References type_p.

## type() [2/2]

const ScalarColumn< String > & casacore::MSAntennaColumns::type | ( |  | ) | const

inline

Definition at line 118 of file MSAntennaColumns.h.

References type_p.

## Member Data Documentation

## dishDiameter_p

ScalarColumn<Double> casacore::MSAntennaColumns::dishDiameter_p

private

Definition at line 200 of file MSAntennaColumns.h.

Referenced by dishDiameter(), dishDiameter(), and nrow().

## dishDiameterQuant_p

ScalarQuantColumn<Double> casacore::MSAntennaColumns::dishDiameterQuant_p

private

Definition at line 218 of file MSAntennaColumns.h.

Referenced by dishDiameterQuant(), and dishDiameterQuant().

## flagRow_p

ScalarColumn<Bool> casacore::MSAntennaColumns::flagRow_p

private

Definition at line 201 of file MSAntennaColumns.h.

Referenced by flagRow(), and flagRow().

## meanOrbit_p

ArrayColumn<Double> casacore::MSAntennaColumns::meanOrbit_p

private

Definition at line 209 of file MSAntennaColumns.h.

Referenced by meanOrbit(), and meanOrbit().

## mount_p

ScalarColumn<String> casacore::MSAntennaColumns::mount_p

private

Definition at line 202 of file MSAntennaColumns.h.

Referenced by mount(), and mount().

## name_p

ScalarColumn<String> casacore::MSAntennaColumns::name_p

private

Definition at line 203 of file MSAntennaColumns.h.

Referenced by name(), and name().

## offset_p

ArrayColumn<Double> casacore::MSAntennaColumns::offset_p

private

Definition at line 204 of file MSAntennaColumns.h.

Referenced by offset(), and offset().

## offsetMeas_p

ScalarMeasColumn<MPosition> casacore::MSAntennaColumns::offsetMeas_p

private

Definition at line 214 of file MSAntennaColumns.h.

Referenced by offsetMeas(), and offsetMeas().

## offsetQuant_p

ArrayQuantColumn<Double> casacore::MSAntennaColumns::offsetQuant_p

private

Definition at line 219 of file MSAntennaColumns.h.

Referenced by offsetQuant(), and offsetQuant().

## orbitId_p

ScalarColumn<Int> casacore::MSAntennaColumns::orbitId_p

private

Definition at line 210 of file MSAntennaColumns.h.

Referenced by orbitId(), and orbitId().

## phasedArrayId_p

ScalarColumn<Int> casacore::MSAntennaColumns::phasedArrayId_p

private

Definition at line 211 of file MSAntennaColumns.h.

Referenced by phasedArrayId(), and phasedArrayId().

## position_p

ArrayColumn<Double> casacore::MSAntennaColumns::position_p

private

Definition at line 205 of file MSAntennaColumns.h.

Referenced by position(), and position().

## positionMeas_p

ScalarMeasColumn<MPosition> casacore::MSAntennaColumns::positionMeas_p

private

Definition at line 215 of file MSAntennaColumns.h.

Referenced by positionMeas(), and positionMeas().

## positionQuant_p

ArrayQuantColumn<Double> casacore::MSAntennaColumns::positionQuant_p

private

Definition at line 220 of file MSAntennaColumns.h.

Referenced by positionQuant(), and positionQuant().

## station_p

ScalarColumn<String> casacore::MSAntennaColumns::station_p

private

Definition at line 206 of file MSAntennaColumns.h.

Referenced by station(), and station().

## type_p

ScalarColumn<String> casacore::MSAntennaColumns::type_p

private

Definition at line 207 of file MSAntennaColumns.h.

Referenced by type(), and type().

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSAntennaColumns.h